'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeText = require('nuke-text');

var _nukeText2 = _interopRequireDefault(_nukeText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /** @jsx createElement */


var PlaceHolder = function (_PureComponent) {
  _inherits(PlaceHolder, _PureComponent);

  function PlaceHolder(props, context) {
    _classCallCheck(this, PlaceHolder);

    var _this = _possibleConstructorReturn(this, (PlaceHolder.__proto__ || Object.getPrototypeOf(PlaceHolder)).call(this, props));

    _this.fixedFont = context.commonConfigs && context.commonConfigs.fixedFont;
    if ('fixedFont' in props) {
      _this.fixedFont = props.fixedFont;
    }
    return _this;
  }
  // shouldComponentUpdate(nextProps) {
  //   return (
  //     nextProps.status !== this.props.status ||
  //     nextProps.focus !== this.props.focus ||
  //     nextProps.disabled !== this.props.disabled ||
  //     nextProps.inputValue !== this.props.inputValue ||
  //     nextProps.maxLengthError !== this.props.maxLengthError ||
  //     nextProps.placeholder !== this.props.placeholder
  //     // nextState.error !== this.state.error
  //   );
  // }


  _createClass(PlaceHolder, [{
    key: 'render',
    value: function render() {
      // const { focus, inputValue, maxLengthError } = this.state;
      var _props = this.props,
          placeholder = _props.placeholder,
          placeholderColor = _props.placeholderColor,
          themeStyle = _props.themeStyle,
          status = _props.status,
          disabled = _props.disabled,
          errorMessage = _props.errorMessage,
          floatPlaceholder = _props.floatPlaceholder,
          hideErrorWhenFocus = _props.hideErrorWhenFocus,
          focus = _props.focus,
          inputValue = _props.inputValue,
          maxLengthError = _props.maxLengthError,
          validInput = _props.validInput;

      var hasError = status === 'error' && errorMessage;
      if (!placeholder) return null;
      if ((focus || inputValue) && !floatPlaceholder) return null;
      var phStyle = Object.assign({}, themeStyle.placeholder, themeStyle['md-placeholder-small'], !focus && !inputValue && validInput ? themeStyle['md-placeholder'] : {}, floatPlaceholder ? {} : themeStyle['md-placeholder-static']);
      var phTextStyle = Object.assign({}, themeStyle['placeholder-text'], themeStyle['md-placeholder-small-text'], placeholderColor ? { color: placeholderColor } : {}, !focus && !inputValue ? themeStyle['md-placeholder-text'] : {}, hasError ? themeStyle['md-placeholder-small-text-has-error'] : {}, !inputValue ? themeStyle['md-empty-placeholder-text'] : {}, focus ? themeStyle['md-focus-placeholder-text'] : {}, disabled ? themeStyle['md-disabled-placeholder-text'] : {});
      if (status === 'error' && (maxLengthError || !hideErrorWhenFocus)) {
        phTextStyle = Object.assign(phTextStyle, themeStyle['md-placeholder-small-text-has-error']);
        if (disabled) {
          phTextStyle = Object.assign(phTextStyle, themeStyle['md-disabled-placeholder-text']);
        }
      }
      return (0, _rax.createElement)(
        _nukeView2.default,
        { style: phStyle },
        (0, _rax.createElement)(
          _nukeText2.default,
          { fixedFont: this.fixedFont, style: phTextStyle },
          placeholder
        )
      );
    }
  }]);

  return PlaceHolder;
}(_rax.PureComponent);

PlaceHolder.contextTypes = {
  // androidConfigs: PropTypes.any,
};

exports.default = PlaceHolder;
module.exports = exports['default'];