import { isWeex, isWeb } from 'nuke-env';
function getText(event) {
  let text;
  if (isWeex) {
    text = event.value;
  } else {
    text = event.target.value;
  }
  return text;
}

function genEventObject(originalEvent) {
  let text = getText(originalEvent);
  return {
    nativeEvent: {
      text
    },
    value: text,
    target: originalEvent.target,
    originalEvent
  };
}
export { getText, genEventObject };
