'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeText = require('nuke-text');

var _nukeText2 = _interopRequireDefault(_nukeText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /** @jsx createElement */


var Count = function (_PureComponent) {
  _inherits(Count, _PureComponent);

  function Count(props, context) {
    _classCallCheck(this, Count);

    var _this = _possibleConstructorReturn(this, (Count.__proto__ || Object.getPrototypeOf(Count)).call(this, props));

    _this.fixedFont = context.commonConfigs && context.commonConfigs.fixedFont;
    if ('fixedFont' in props) {
      _this.fixedFont = props.fixedFont;
    }
    return _this;
  }

  _createClass(Count, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          maxLength = _props.maxLength,
          multiple = _props.multiple,
          renderCount = _props.renderCount,
          styles = _props.themeStyle,
          count = _props.count;

      if (!maxLength || !renderCount) return null;

      // const { count } = this.state;
      return (0, _rax.createElement)(
        _nukeView2.default,
        {
          style: styles['' + (multiple ? 'md-multiple-count-wrap' : 'md-single-count-wrap')]
        },
        (0, _rax.createElement)(
          _nukeText2.default,
          {
            fixedFont: this.fixedFont,
            style: [styles['' + (multiple ? 'multiple-count-text' : 'single-count-text')], count > maxLength ? styles['count-error'] : {}]
          },
          count,
          ' / ',
          maxLength
        )
      );
    }
  }]);

  return Count;
}(_rax.PureComponent);

Count.contextTypes = {
  // androidConfigs: PropTypes.any,
};

exports.default = Count;
module.exports = exports['default'];