'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.genEventObject = exports.getText = undefined;

var _nukeEnv = require('nuke-env');

function getText(event) {
  var text = void 0;
  if (_nukeEnv.isWeex) {
    text = event.value;
  } else {
    text = event.target.value;
  }
  return text;
}

function genEventObject(originalEvent) {
  var text = getText(originalEvent);
  return {
    nativeEvent: {
      text: text
    },
    value: text,
    target: originalEvent.target,
    originalEvent: originalEvent
  };
}
exports.getText = getText;
exports.genEventObject = genEventObject;